GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
iomgr.c File Reference
`#include "src/core/iomgr/iomgr.h"`
`#include <stdlib.h>`
`#include "src/core/iomgr/iomgr_internal.h"`
`#include "src/core/iomgr/alarm_internal.h"`
`#include "src/core/support/string.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/string_util.h>`
`#include <grpc/support/sync.h>`
`#include <grpc/support/thd.h>`

## Functions
void | grpc_kick_poller (void)
void | grpc_iomgr_init (void)
| Initializes the iomgr. More...
void | grpc_iomgr_shutdown (void)
| Signals the intention to shutdown the iomgr. More...
void | grpc_iomgr_register_object (grpc_iomgr_object *obj, const char *name)
void | grpc_iomgr_unregister_object (grpc_iomgr_object *obj)
void | grpc_iomgr_closure_init (grpc_iomgr_closure *closure, grpc_iomgr_cb_func cb, void *cb_arg)
| Initializes closure with cb and cb_arg. More...
void | grpc_iomgr_add_delayed_callback (grpc_iomgr_closure *closure, int success)
| As per grpc_iomgr_add_callback, with the ability to set the success argument. More...
void | grpc_iomgr_add_callback (grpc_iomgr_closure *closure)
| Registers a closure to be invoked at some point in the future. More...
int | grpc_maybe_call_delayed_callbacks (gpr_mu *drop_mu, int success)

## Function Documentation

void grpc_iomgr_add_callback | ( | grpc_iomgr_closure * | closure | ) |

Registers a closure to be invoked at some point in the future.

Can be called from within a callback or from anywhere else

void grpc_iomgr_add_delayed_callback | ( | grpc_iomgr_closure * | iocb,
|  | int | success
| ) |  |

As per grpc_iomgr_add_callback, with the ability to set the success argument.

void grpc_iomgr_closure_init | ( | grpc_iomgr_closure * | closure,
|  | grpc_iomgr_cb_func | cb,
|  | void * | cb_arg
| ) |  |

Initializes closure with cb and cb_arg.

void grpc_iomgr_init | ( | void |  | ) |

Initializes the iomgr.

void grpc_iomgr_register_object | ( | grpc_iomgr_object * | obj,
|  | const char * | name
| ) |  |

void grpc_iomgr_shutdown | ( | void |  | ) |

Signals the intention to shutdown the iomgr.

void grpc_iomgr_unregister_object | ( | grpc_iomgr_object * | obj | ) |

void grpc_kick_poller | ( | void |  | ) |

int grpc_maybe_call_delayed_callbacks | ( | gpr_mu * | drop_mu,
|  | int | success
| ) |  |